Name:          moblin-icon-theme
Version:       0.10.0
Release:       2%{?dist}
Summary:       Moblin icon theme

Group:         User Interface/Desktops
License:       CC-BY-SA
URL:           http://www.moblin.org/
Source0:       http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:     noarch

Requires:  hicolor-icon-theme
BuildRequires: icon-naming-utils

%description
Moblin icon theme

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

./create-icon-theme.sh moblin
mkdir -p %{buildroot}/%{_datadir}/icons/Moblin
cp -p output/moblin/index.theme %{buildroot}/%{_datadir}/icons/Moblin
cp -rp output/moblin/16x16 %{buildroot}/%{_datadir}/icons/Moblin
cp -rp output/moblin/24x24 %{buildroot}/%{_datadir}/icons/Moblin
cp -rp output/moblin/48x48 %{buildroot}/%{_datadir}/icons/Moblin

# create an empty cache file so its removed when the package is
touch %{buildroot}/%{_datadir}/icons/Moblin/icon-theme.cache

#Remove Makefile.am files
find %{buildroot} -name 'Makefile.am' -exec rm -f {} ';'

# create symlinks for missing stock icons
cd %{buildroot}/%{_datadir}/icons/Moblin
for size in 16x16 24x24 48x48; do
  (
  cd $size
  for context in *; do
    if [ -d $context ]; then
      (
      cd $context
      INU_DATA_DIR=%{_builddir}/%{name}-%{version} /usr/bin/icon-name-mapping -c $context
      )
    fi
  done
  )
done

# Name the theme correctly
sed -i 's|moblin|Moblin|g' %{buildroot}/%{_datadir}/icons/Moblin/index.theme

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/Moblin &>/dev/null || :

%postun
touch --no-create %{_datadir}/icons/Moblin &>/dev/null || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache -f --quiet %{_datadir}/icons/Moblin &>/dev/null || :
fi

%posttrans
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache -f --quiet %{_datadir}/icons/Moblin &>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_datadir}/icons/Moblin

%changelog
* Thu Dec  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.10.0-2
- Fix some issues with the theme

* Thu Oct 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.10.0-1
- New upstream 0.10.0 release

* Thu Oct 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.9-1
- New upstream 0.9 release

* Mon Oct 12 2009 Peter Robinson <pbrobinson@gmail.com> 0.8-1
- New upstream 0.8 release

* Mon Sep  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.7.1-0.1
- Upstream git snapshot to pull in icon updates

* Mon Aug  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.7-3
- Capitalise the theme name

* Mon Aug  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.7-2
- Some more package optimisations

* Sat Aug  1 2009 Peter Robinson <pbrobinson@gmail.com> 0.7-1
- New upstream 0.7 release

* Mon Jun 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.4-1
- Initial packaging
